<?php
/**
 * CheckPromoCodeResponseDataTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * CheckPromoCodeResponseDataTest Class Doc Comment
 *
 * @category    Class
 * @description CheckPromoCodeResponseData
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CheckPromoCodeResponseDataTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CheckPromoCodeResponseData"
     */
    public function testCheckPromoCodeResponseData()
    {
    }

    /**
     * Test attribute "is_available"
     */
    public function testPropertyIsAvailable()
    {
    }

    /**
     * Test attribute "promo_code_apply_status"
     */
    public function testPropertyPromoCodeApplyStatus()
    {
    }
}
